Short Interest Data
curl --request GET \
--url 'https://api.benzinga.com/api/v1/shortinterest?token='import requests
url = "https://api.benzinga.com/api/v1/shortinterest?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/shortinterest?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shortInterestData": {
"AAPL": {
"data": [
{
"recordDate": "2026-01-12",
"symbol": "AAPL",
"company": "Apple Inc. Common Stock",
"totalShortInterest": "112732788",
"daysToCover": 2.71,
"shortPercentOfFloat": 0.77,
"shortPriorMo": "122035714",
"percentChangeMoMo": -7.62,
"sharesFloat": "14688854878",
"averageDailyVolume": "41632615",
"sharesOutstanding": "14697926000",
"exchange": "NNM",
"sector": "Technology",
"industry": "Consumer Electronics",
"exchangeReceiptDate": "2026-01-05",
"settlementDate": "2025-12-31"
}
]
}
}
}
Market Data
Short Interest
Retrieves short interest data for specified securities. Includes information about shares sold short, days to cover, and short interest ratios. Supports optional FINRA report data and date range filtering.
GET
/
api
/
v1
/
shortinterest
Short Interest Data
{
"shortInterestData": {
"AAPL": {
"data": [
{
"recordDate": "2026-01-12",
"symbol": "AAPL",
"company": "Apple Inc. Common Stock",
"totalShortInterest": "112732788",
"daysToCover": 2.71,
"shortPercentOfFloat": 0.77,
"shortPriorMo": "122035714",
"percentChangeMoMo": -7.62,
"sharesFloat": "14688854878",
"averageDailyVolume": "41632615",
"sharesOutstanding": "14697926000",
"exchange": "NNM",
"sector": "Technology",
"industry": "Consumer Electronics",
"exchangeReceiptDate": "2026-01-05",
"settlementDate": "2025-12-31"
}
]
}
}
}
Authorizations
Query Parameters
Comma-separated list of stock ticker symbols (e.g., AAPL,MSFT,TSLA). Required.
Include FINRA short interest report data. Default: false
Page number for pagination. Used with pageSize parameter.
Number of results per page. Default varies by endpoint configuration.
Start date for short interest data. Format: YYYY-MM-DD
End date for short interest data. Format: YYYY-MM-DD
Response
Short interest data for requested symbols
The response is of type object.
Was this page helpful?
⌘I